Ruby: pm_interpolated_regular_expression_node Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
pm_interpolated_regular_expression_node Struct Reference

InterpolatedRegularExpressionNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| InterpolatedRegularExpressionNode::opening_loc.
struct pm_node_list | parts
| InterpolatedRegularExpressionNode::parts.
pm_location_t | closing_loc
| InterpolatedRegularExpressionNode::closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InterpolatedRegularExpressionNode.

Type: PM_INTERPOLATED_REGULAR_EXPRESSION_NODE Flags: PM_REGULAR_EXPRESSION_FLAGS_IGNORE_CASE PM_REGULAR_EXPRESSION_FLAGS_EXTENDED PM_REGULAR_EXPRESSION_FLAGS_MULTI_LINE PM_REGULAR_EXPRESSION_FLAGS_ONCE PM_REGULAR_EXPRESSION_FLAGS_EUC_JP PM_REGULAR_EXPRESSION_FLAGS_ASCII_8BIT PM_REGULAR_EXPRESSION_FLAGS_WINDOWS_31J PM_REGULAR_EXPRESSION_FLAGS_UTF_8 PM_REGULAR_EXPRESSION_FLAGS_FORCED_UTF8_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_BINARY_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_US_ASCII_ENCODING

Definition at line 3055 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_interpolated_regular_expression_node::base

The embedded base node.

Definition at line 3057 of file ast.h.

## ◆ closing_loc

pm_location_t pm_interpolated_regular_expression_node::closing_loc

InterpolatedRegularExpressionNode::closing_loc.

Definition at line 3066 of file ast.h.

## ◆ opening_loc

pm_location_t pm_interpolated_regular_expression_node::opening_loc

InterpolatedRegularExpressionNode::opening_loc.

Definition at line 3060 of file ast.h.

## ◆ parts

struct pm_node_list pm_interpolated_regular_expression_node::parts

InterpolatedRegularExpressionNode::parts.

Definition at line 3063 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h